> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get addresses

<Warning>
  **v1 (legacy).** This page documents the API before the v2 update. The v1
  format is not enabled for new accounts and must be enabled on your account by
  your account manager. New integrations should use the
  [current documentation](/introduction). To update an existing integration,
  follow the [migration guide](/migration).
</Warning>


## OpenAPI

````yaml v1/api-reference/address-docs.json GET /api/addresses
openapi: 3.0.0
info:
  version: v1.0.0
  title: Address service API (legacy v1)
  description: API for managing address service in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/addresses:
    get:
      summary: Get addresses
      parameters:
        - $ref: '#/components/parameters/userIdQueryParameter'
        - $ref: '#/components/parameters/addressQueryParameter'
        - $ref: '#/components/parameters/pageQueryParameter'
        - $ref: '#/components/parameters/limitQueryParameter'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseAllAddressesSchema'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
components:
  parameters:
    userIdQueryParameter:
      name: userId
      in: query
      description: Id of the user for which you want to get the list of crypto addresses.
      schema:
        type: string
        example: 66290ac8bd3903485989f82e
    addressQueryParameter:
      name: address
      in: query
      description: If the address is known, it can be used to obtain it.
      schema:
        type: string
        example: '0x32Be343B94f860124dC4fEe278FDCBD38C102D88'
    pageQueryParameter:
      name: page
      in: query
      description: Used to specify the current page you want to get in the paging results.
      schema:
        type: integer
    limitQueryParameter:
      name: limit
      in: query
      description: >-
        Used to specify the maximum number of records to be returned on a single
        page.
      schema:
        type: integer
  schemas:
    responseAllAddressesSchema:
      type: array
      items:
        type: object
        properties:
          createdAt:
            type: string
            description: The date and time when the address was created.
            example: '2024-07-25T19:57:09.812Z'
          userId:
            type: string
            description: Id of the user.
            example: 66562bc04fe8bf83c577c178
          crypto:
            description: Crypto currency.
            type: string
            enum:
              - USDC
              - USDC_POLYGON_NXTB
              - SOL_USDC_PTHX
              - XLM_USDC_5F3T
              - USDC_BASECHAIN_ETH_5I5C
              - USDCE_TEMPO_MXYR
              - USDT_POLYGON
              - USDT_ERC20
              - TRX_USDT_S2UZ
              - USDT_BSC
              - SOL_USDT_EWAY
              - EUROC_ETH_F5NG
              - EURC_SOL
              - EURC_B609K9QB_Y213
          address:
            type: string
            description: Crypto address.
            example: '0x32Be343B94f860124dC4fEe278FDCBD38C102D88'
          memo:
            type: string
            description: >-
              The memo for the blockchain transaction (USDC Stellar addresses
              only). Please check if your wallet requires a memo for deposits.
              If so, please include the memo in the transaction. Failure to
              include the memo will result in the payment not being credited to
              your order and your funds may be permanently lost.
            example: '1234567890'
          approved:
            type: boolean
            description: Indicates if the address has been approved.
            example: true
          lastChecked:
            type: string
            description: The date and time when the address was last verified.
            example: '2024-05-28T19:58:39.617Z'
          label:
            type: string
            description: Label of the address.
            example: Crypto Address
          advancedVerificationStatus:
            description: Advanced verification status.
            type: string
            enum:
              - initiated
              - sent
              - passed
              - cancelled
          id:
            type: string
            description: Id of the address.
            example: 6656376f778ff28dd1c41c50
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.